package com.ibm.rational.support.anttasks.epf;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;

import org.apache.tools.ant.BuildException;
import org.eclipse.ant.core.Task;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.preferences.IPreferencesService;

/**
 * <p>
 * The following command line will start a headless Eclipse instance and run the
 * specified Ant script.
 * </p>
 * <p>
 * java -classpath <i>eclipseDir</i>/startup.jar org.eclipse.core.launcher.Main
 *	 -data <i>worspaceDir</i> -application org.eclipse.ant.core.antRunner
 * 	 -buildfile <i>antScript</i>
 * </p>
 */
public class ExportTask extends Task {

	private String preferencesFile;

	public ExportTask() {
		super();

	}

	public final void execute() throws BuildException {
		System.out
				.println("Calling preferences.manager.ant.tasks.ExportTask.execute()");
		IPreferencesService service = org.eclipse.core.runtime.Platform
				.getPreferencesService();
		System.out.println("File: " + this.getPreferencesFile());

		try {
			service.exportPreferences(service.getRootNode(),
					new FileOutputStream(new File(this.getPreferencesFile())),
					null);
		} catch (FileNotFoundException e) {

			e.printStackTrace();
		} catch (CoreException e) {
			e.printStackTrace();
		}

	}

	public String getPreferencesFile() {
		return preferencesFile;
	}

	public void setPreferencesFile(String preferencesFile) {
		this.preferencesFile = preferencesFile;
	}
}
